Bug 1002500 - [REGRESSION] Doesn't boot kernel (50%) when disable DEBUG options on Lenovo Z580 [NEEDINFO]
[REGRESSION] Doesn't boot kernel (50%) when disable DEBUG options on Lenovo Z580
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
high Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 06:38 EDT by Igor Gnatenko
Modified: 2014-03-17 14:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-17 14:45:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
screen from forced panic() (1.50 MB, image/jpeg)
2013-08-29 06:38 EDT, Igor Gnatenko
no flags Details
Screenshot when kernel doesn't boot (2.38 MB, image/jpeg)
2013-08-29 10:05 EDT, Igor Gnatenko
no flags Details

  None (edit)
Description Igor Gnatenko 2013-08-29 06:38:02 EDT
Created attachment 791696 [details]
screen from forced panic()

Description of problem:
After start I see grub. There I enter in
latest kernel and it booting 50/50. boots OK or screen w/ latest strings
about psmouse, synaptics, etc where I can use SysRq magic keys. I can
force call panic() w/ SysRq-c. See screenshot please.

I've tested kernels from koji:
3.9-rc4:
http://koji.fedoraproject.org/koji/buildinfo?buildID=405779 - boot OK 100%
3.9-rc7:
http://koji.fedoraproject.org/koji/buildinfo?buildID=412884 - boot OK 50%

How reproducible:
50%

Steps to Reproduce:
1. Boot system

Actual results:
Boots OK in 50%

Expected results:
Boots OK in 100%

Additional info:
I've started git bisect v3.9-rc4 v3.9-rc7 and I see strange thing..
v3.9-rc4 boots OK in 50%, but koji build (Fedora build) boots OK 100%
Comment 1 Igor Gnatenko 2013-08-29 07:17:06 EDT
I can't reproduce this problem on kernel-debug w/ loglevel=7
Comment 2 Josh Boyer 2013-08-29 09:48:09 EDT
I'm unclear as to what this bug report is about.

Are you having trouble booting the latest 3.10.9 kernel update?

What does "booting 50/50" mean?  In the case where it doesn't boot, what exactly are you seeing?

Attaching a screenshot of a forced panic doesn't tell us anything other than you forced a panic.
Comment 3 Igor Gnatenko 2013-08-29 10:05:52 EDT
Created attachment 791814 [details]
Screenshot when kernel doesn't boot

(In reply to Josh Boyer from comment #2)
> I'm unclear as to what this bug report is about.
> 
> Are you having trouble booting the latest 3.10.9 kernel update?
And earlier.
> What does "booting 50/50" mean? 
It's boot not always. It can boot fine, but it can "froze" at some step.
> In the case where it doesn't boot, what exactly are you seeing?
See new screenshot.
> Attaching a screenshot of a forced panic doesn't tell us anything other than
> you forced a panic.
Comment 4 Igor Gnatenko 2013-08-29 12:48:11 EDT
I can't reproduce on 3.9-rc5 and older: http://koji.fedoraproject.org/koji/buildinfo?buildID=408496
But I can reproduce it on upstream 3.7.0, 3.8.0, 3.9.0 and newest.
I think we applied some option or deleted one of our patches.
Comment 5 Igor Gnatenko 2013-08-29 13:14:46 EDT
Doesn't boot 3.9-rc6 from koji: http://koji.fedoraproject.org/koji/buildinfo?buildID=410037

I'd see the same of:
We unset debug options and it doesn't boot of 50% (http://pkgs.fedoraproject.org/cgit/kernel.git/commit/?h=f19&id=fdda053dcd2eacacf0520823dbb72e73226eb66e). Problem isn't in CONFIG_MAXSMP. On latest stable kernel-debug it isn't set.

I think bug is present after one of this changes:
http://pkgs.fedoraproject.org/cgit/kernel.git/diff/config-nodebug?h=f19&id=fdda053dcd2eacacf0520823dbb72e73226eb66e
Comment 6 Josh Boyer 2013-09-18 16:48:21 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 7 Igor Gnatenko 2013-09-19 02:54:07 EDT
yes. also on f20
Comment 8 Justin M. Forbes 2014-01-03 17:07:09 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 9 Igor Gnatenko 2014-01-04 04:36:08 EST
seems this bug.
Comment 10 Justin M. Forbes 2014-02-24 08:56:03 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 11 Justin M. Forbes 2014-03-17 14:45:21 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.